spot 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Classes | Public Member Functions | Public Attributes | List of all members
hoayy_support::result_ Struct Reference
Collaboration diagram for hoayy_support::result_:

## Classes
struct | prop_info
struct | state_info

## Public Member Functions
prop_info | prop_is_true (const std::string &p)
prop_info | prop_is_false (const std::string &p)

## Public Attributes
spot::parsed_aut_ptr | h
spot::twa_ptr | aut_or_ks
spot::automaton_parser_options | opts
std::string | format_version
spot::location | format_version_loc
spot::environment * | env
formula_cache | fcache
named_tgba_t * | namer = nullptr
spot::acc_mapper_int * | acc_mapper = nullptr
std::vector< int > | ap
std::vector< bdd > | guards
std::vector< bdd >::const_iterator | cur_guard
map_t | dest_map
std::vector< state_info > | info_states
std::vector< std::pair < spot::location, std::vector < unsigned > > > | start
std::unordered_map < std::string, bdd > | alias
std::unordered_map < std::string, prop_info > | props
spot::location | states_loc
spot::location | ap_loc
spot::location | state_label_loc
spot::location | accset_loc
spot::acc_cond::mark_t | acc_state
spot::acc_cond::mark_t | neg_acc_sets = 0U
spot::acc_cond::mark_t | pos_acc_sets = 0U
int | plus
int | minus
std::vector< std::string > * | state_names = nullptr
std::map< unsigned, unsigned > * | highlight_edges = nullptr
std::map< unsigned, unsigned > * | highlight_states = nullptr
std::map< unsigned, unsigned > | states_map
std::set< int > | ap_set
unsigned | cur_state
int | states = -1
int | ap_count = -1
int | accset = -1
bdd | state_label
bdd | cur_label
bool | has_state_label = false
bool | ignore_more_ap = false
bool | ignore_acc = false
bool | ignore_acc_silent = false
bool | ignore_more_acc = false
label_style_t | label_style = Mixed_Labels
acc_style_t | acc_style = Mixed_Acc
bool | accept_all_needed = false
bool | accept_all_seen = false
bool | aliased_states = false
spot::trival | deterministic = spot::trival::maybe()
bool | complete = false
bool | trans_acc_seen = false
std::map< std::string, spot::location > | labels

The documentation for this struct was generated from the following file:

- spot/parseaut/parseaut.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.